"dcoex.kmeans" <- 
function(X,nclus = dim(X)[1]/50,subsample=1000)
{
  library(cluster)
  p       = dim(X)[1]
  s       = sample(1:p,subsample)
  X = X[s,]
  X = scale(X)
  clsts <- kmeans(X,nclus,20)
  scrs = numeric()
  for(i in 1:nclus) {
	if(sum(clsts$cluster==i)>1){
	  scrs[i] = dcoex.res(X[clsts$cluster==i,,drop=FALSE])}
  }
  imin   = which.min(scrs)
  res    = rep(FALSE,p)
  res[s] = (clsts$cluster==imin)
  return(res)
}
