\name{dcoex.gendat}
\alias{dcoex.gendat}
\alias{dcoex.genmodel}
\title{ dataset generator }
\description{
    	This function generates a data set, drawn from an additive model,
	featurning a specific signal to noise ratio
}
\usage{
         dcoex.gendat(ng,np,mean=0, sd=1, ratio=10)
}
\arguments{
  \item{ng}{ numeric, number of genes (rows) }
  \item{np}{ numeric, number of patients (columns) }
  \item{mean}{ numeric, mean}		    
  \item{sd}{numeric, determins size of row- and column- effects in the model }	
  \item{ratio}{numeric, signal to noise ratio }		    
}

\value{ A matrix containing the generated expression values }

\author{ Dennis Kostka }

\seealso{ \code{dcoex}
}

\keyword{ misc }
