\name{dcoex.kmeans}
\alias{dcoex.kmeans}
\alias{nclus}
\title{ clustering heuristic }
\description{	Heuristically finds a starting point for the search
		algorithm by performing K-means clustering on the 
		standardized 'control' group.
}
\usage{
dcoex.kmeans(X,nclus = dim(X)[1]/50,subsample=1000)
}
\arguments{
  \item{X}{ matrix, expression matrix of the control group }
  \item{nlcus}{ number of means for K-means }
  \item{subsample}{ integer, K-means clustering is performed on a random
                    subsample of genes of this size} 
}

\value{ logical vector, indicating presence/absence of each gene in the 
	starting point.
}

\author{ Dennis Kostka }

\keyword{ misc }
